LibreOffice: XInteractionFilterSelect Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference

Loading...
Searching...
No Matches
XInteractionFilterSelect Interface Referencepublished

continuation used by interaction mechanism at filter detection during loading documents More...

`import "XInteractionFilterSelect.idl";`

Inheritance diagram for XInteractionFilterSelect:

## Public Member Functions
void | setFilter ([in] string Name)
| used by interaction to set selected filter
string | getFilter ()
| used by detection to get selected filter
Public Member Functions inherited from XInteractionContinuation
void | select ()
| Select this way of continuing from an com::sun::star::task::XInteractionRequest (given a choice of various instances of com::sun::star::task::XInteractionContinuation).
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

continuation used by interaction mechanism at filter detection during loading documents

If during loading time the filter can't be detected and wasn't given at calling time, a possible com::sun::star::task::InteractionHandler will be used. (it's a part of used MediaDescriptor) A NoSuchFilterRequest will be used then to start right interaction on that to get a decision which filter should be used for given URL. A possible continuation of that can be this XInteractionFilterSelect. It will transport the decision back to generic filter detection and force using of it. Of course it's possible to abort the loading process by use another continuation com::sun::star::task::XInteractionAbort.

See also
  MediaDescriptor
  com::sun::star::task::InteractionHandler
  NoSuchFilterRequest
  com::sun::star::task::XInteractionAbort

## Member Function Documentation

## ◆ getFilter()

string getFilter | ( |  | ) |

used by detection to get selected filter

## ◆ setFilter()

void setFilter | ( | [in] string | Name | ) |

used by interaction to set selected filter

This value must be saved till another one will be set and must be provided on getFilter() for interest users.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XInteractionFilterSelect.idl